SanityTest (jTDS API)
Keywords: net.sourceforge.jtds.test.SanityTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class SanityTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.SanityTest

All Implemented Interfaces:
  junit.framework.Test

public class SanityTest
extends TestBase

Some simple tests just to make sure everything is working properly.

Version:
  $Id: SanityTest.java,v 1.8.2.1 2009/08/04 10:33:54 ickzon Exp $
Author:
  Alin Sinpalean
Created:
  9 August 2001

Field Summary

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`SanityTest(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `testCursorRSCreate()`
`void` | `testCursorRSScroll()`
`void` | `testCursorStatements()` Basic test of cursor mechanisms.
`void` | `testNullImage()`
`void` | `testNullText()`
`void` | `testSanity()` A simple test to make sure everything seems to be OK

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SanityTest

    public SanityTest(java.lang.String name)

Method Detail

### testSanity

    public void testSanity()
                    throws java.lang.Exception

  A simple test to make sure everything seems to be OK

  Throws:
    `java.lang.Exception`

### testCursorStatements

    public void testCursorStatements()
                              throws java.lang.Exception

  Basic test of cursor mechanisms.

  Throws:
    `java.lang.Exception`

### testCursorRSCreate

    public void testCursorRSCreate()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCursorRSScroll

    public void testCursorRSScroll()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNullImage

    public void testNullImage()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNullText

    public void testNullText()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009